Image::ExifTool::HtmlDump(3pm)

NAME
Image::ExifTool::HtmlDump - Dump information in hex to HTML page

SYNOPSIS
    use Image::ExifTool::HtmlDump;
    my $dump = Image::ExifTool::HtmlDump->new;
    $dump->Add($start, $size, $comment);
    $dump->Print($dumpInfo, $raf, $dataPt, $dataPos, $outfile);

DESCRIPTION
This module contains code used to generate an HTML-based hex dump of information for debugging purposes. This is code is called when the ExifTool 'HtmlDump' option is used.

Currently, only EXIF/TIFF and JPEG information is dumped.

BUGS
Due to a memory allocation bug in ActivePerl 5.8.x for Windows, this code may run extremely slowly when processing large files with this version of Perl.

An HTML 4 compliant browser is needed to properly display the generated HTML page.

AUTHOR
Copyright 2003-2026, Phil Harvey (philharvey66 at gmail.com)

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Image::ExifTool(3pm)